import numpy as np
from PIL import Image

im = Image.open('logo.png')
#provera kolor moda
print(im.mode)

#ili se moze postaviti kolor model
if im.mode!='RGBA':
    im = im.convert('RGBA')

# metod load vraca matricu velicine width x height piksela
pixels=im.load()
# odredjenom pikselu se pristupa kao celiji matrice sa pixels[w,h]

#odredjivanje sirine i visine slike
width, height = im.size

old_color = (255, 42, 127, 255) #boja koju hocemo da zamenimo
# zapisana u RGBA modelu
new_color = (0, 0, 255, 255) #boja koju postavljamo zapisana u RGBA modelu

for i in range(0, width):
    for j in range(0, height):
        if pixels[i,j] == old_color:
            pixels[i,j] = new_color

#cuvamo sliku
im.save('logo_plava.png')
